##Edited by songht@20201222 cmb@bnu email: songhongtao@bnu.edu.cn##
#####depandency tools#####
# PHAST v1.4 #


export wkdir="/Users/wkdir" 
export ucsc_code="/Users/ucsc_code_dir" #The UCSC Genome Browser and Blat software binaries code downloaded from http://hgdownload.cse.ucsc.edu/admin/exe/linux.x86_64/
export estimate_tree="$wkdir/ave.tree"  #phastCons fitted neutral tree averaged by Chr1~7#
export maf_dir="$wkdir/maf" #7way whole genome alignments by LASTZ & MULTIZ
#./CDS dir including the coding sequences in cucumber genome#

cd ${wkdir}

########################################################################
#Combine the spearately estimated parameters by averaging by phyloBoot #
########################################################################
ls $wkdir/noncons_mode/*nonconserved_4d.mod > noncons.txt
phyloBoot --read-mods '*noncons.txt' --output-average $wkdir/noncons_mode/ave.noncons.mod
ls $wkdir/cons_mode/*.mod > cons.txt
phyloBoot --read-mods '*cons.txt' --output-average $wkdir/cons_mode/ave.cons.mod > $wkdir/ave.mod.log

for i in Chr1 Chr2 Chr3 Chr4 Chr5 Chr6 Chr7
do
###################################################################################
####estimate all free parameters of the phylogenetic models by maximum  likelihood#
###################################################################################
mkdir $i
cd $i
nohup phastCons --target-coverage 0.2 --expected-length 80 --msa-format MAF ${maf_dir}/Cucumber.$i.maf --most-conserved $i\-most-cons.bed  ${wkdir}/cons_mode/ave.cons.mod,${wkdir}/noncons_mode/ave.noncons.mod  > $i\-scores.wig &
cd ..
done



## evaluate the most conserved elements/ CDS region ratio
rm -f ./cons_intersect/*
for i in Chr1 Chr2 Chr3 Chr4 Chr5 Chr6 Chr7
do
${ucsc_code}/bedIntersect -allowStartEqualEnd ./CDS/Chr_bed/$i\.bed ../most-cons/$i\-most-cons.bed ../cons_intersect/$i\.intersect
echo "$i total CDS length:"
awk '{print ($3-$2+1)}' ./CDS/Chr_bed/$i\.bed | awk '{SUM=SUM+$1}END{print SUM}'
echo "$i most-cons intersect regiong total length:"
awk '{print ($3-$2+1)}' ./cons_intersect/$i\.intersect | awk '{SUM=SUM+$1}END{print SUM}'
done



